Bug 1434477 - Opening rpm via nautilus leads to an error
Summary: Opening rpm via nautilus leads to an error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-software
Version: 7.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Richard Hughes
QA Contact: Desktop QE
Lenka Špačková
URL:
Whiteboard:
Depends On:
Blocks: 1477211
TreeView+ depends on / blocked
 
Reported: 2017-03-21 15:11 UTC by Martin Krajnak
Modified: 2018-04-03 19:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cannot install downloaded RPM files from *Nautilus* The *yum* backend to *PackageKit* does not support getting details about local files. As a consequence, when an RPM file is double clicked in the *Nautilus* file manger, the file is not installed, and the following error message is returned: Sorry, this did not work, File is not supported To work around this problem, either install the _gnome-packagekit_ package to handle the double-click action, or manually install the files using the *yum* utility.
Clone Of:
Environment:
Last Closed: 2018-04-03 19:37:15 UTC


Attachments (Terms of Use)
error_message (40.16 KB, image/png)
2017-03-21 15:11 UTC, Martin Krajnak
no flags Details
full log (499.01 KB, text/plain)
2017-06-15 14:01 UTC, Martin Krajnak
no flags Details

Description Martin Krajnak 2017-03-21 15:11:23 UTC
Created attachment 1265118 [details]
error_message

Description of problem:
Gnome-software is able to open rpm, but it leads to immediate error window.

Version-Release number of selected component (if applicable):
gnome-software-3.22.7-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.Download atom rpm from https://atom.io/download/rpm
2.open nautilus and open the .rpm file - or open directly via firefox

Actual results:
Error window - Sorry, this did not work, File is not supported

Expected results:
GS should open the file and install it

Additional info:
Same functionality is fully working with flatpaks

Comment 1 Richard Hughes 2017-06-15 13:41:40 UTC
Can you get the "killall gnome-software && gnome-software --verbose" debug output when you double click an rpm file please? Thanks.

Comment 2 Martin Krajnak 2017-06-15 14:01:45 UTC
Created attachment 1288082 [details]
full log

Here is an output generated after clicking the rpm, full log is attached above.
...

14:00:43:0048 As  run 0x3250370~GsPlugin::packagekit-local(gs_plugin_file_to_app)
14:00:43:0048 PK  role now get-details-local
14:00:43:0085 Gs  emitting global waiting
14:00:43:0088 Gs  emitting global querying
14:00:43:0088 Gs  (null) non-transient state now local
14:00:43:0089 PK  role now get-files-local
14:00:43:0104 Gs  emitting global waiting
14:00:43:0108 Gs  failed to call gs_plugin_file_to_app on packagekit-local: GetFilesLocal not supported by backend
14:00:43:0108 As  run 0x3250370~GsPlugin::flatpak(gs_plugin_file_to_app)
14:00:43:0109 Gs  not handling bundle as scope incorrect
14:00:43:0109 Gs  emitting global finished
14:00:43:0116 Gs  using main window
14:00:43:0122 Gs  failed to convert to GsApp: no application was created for /home/mkrajnak/Downloads/atom.x86_64.rpm
14:00:43:0234 Gs  plugin no longer recently active: packagekit-offline

Comment 3 Richard Hughes 2017-06-15 15:17:56 UTC
(In reply to Martin Krajnak from comment #2)
> GetFilesLocal not supported by backend

Ahh, so yum doesn't support this. Note, in RHEL 7 we're still using yum, as in the "exec /usr/bin/yum and scrape stdout" kind of thing. I don't think we want to fix this, it would be a lot of work.

Comment 11 Red Hat Bugzilla Rules Engine 2018-04-03 19:37:15 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.